## org.eclipse.emf.mapping.domain
Class PluginAdapterFactoryMappingDomain

    java.lang.Object
      org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
          org.eclipse.emf.mapping.domain.AdapterFactoryMappingDomain
              org.eclipse.emf.mapping.domain.PluginAdapterFactoryMappingDomain

All Implemented Interfaces:
  EditingDomain, MappingDomain

Direct Known Subclasses:
  Ecore2EcoreEditor.Ecore2EcoreMappingDomain

    public class PluginAdapterFactoryMappingDomain

extends AdapterFactoryMappingDomain

This class extends the AdapterFactoryMappingDomain by providing initialization using config information specified in the VABase plugin.xml.

A sample configuration is like this:

       <extension point = "org.eclipse.emf.mapping">
         <mapping-domain>
           <type-mappings id="DTD2DTD">
             <type-mapping top="java.xmi:ContainerManagedEntity" bottom="rdbschema.xmi:Table"/>
             <type-mapping top="java.xmi:Field" bottom="rdbschema.xmi:Column"/>
           </type-mappings>

           <top-label-separator value=""/>
           <bottom-label-separator value="_"/>

           <top-label-case value="mixed"/>
           <bottom-label-case value="upper"/>

           <top-label-forms>
             <label-form long="Table" short="Tab"/>
             <label-form long="Integer" short="Int"/>
           </top-label-forms>

           <bottom-label-forms>
             <label-form long="TABLE" short="TBL"/>
             <label-form long="INTEGER" short="INT"/>
           </bottom-label-forms>
         </mapping-domain>
       </extension>

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.mapping.domain.AdapterFactoryMappingDomain
`AdapterFactoryMappingDomain.EditingDomainProvidingComposedAdapterFactory, AdapterFactoryMappingDomain.LabelUpdatePropagatingComposedAdapterFactory`

Nested classes/interfaces inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
`AdapterFactoryEditingDomain.AdapterFactoryEditingDomainResourceSet, AdapterFactoryEditingDomain.DomainTreeIterator<E>, AdapterFactoryEditingDomain.EditingDomainProvider`

Field Summary
`java.lang.String` `MAPPING_EXTENSION_POINT_ID`

Fields inherited from class org.eclipse.emf.mapping.domain.AdapterFactoryMappingDomain
`bottomLabelCase, bottomLabelLongForms, bottomLabelSeparator, bottomLabelShortForms, bottomToTopTypeTable, isSameEditingDomainAdapterFactory, LABEL_LOWER, LABEL_MIXED, LABEL_NO_SEPARATOR, LABEL_UPPER, mappingEnablementFlags, mappingRoot, packageTypeSeparator, persistentCommandStack, topLabelCase, topLabelLongForms, topLabelSeparator, topLabelShortForms, topToBottomTypeTable`

Fields inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain
`adapterFactory, clipboard, commandStack, optimizeCopy, resourceSet, resourceToReadOnlyMap`

Fields inherited from interface org.eclipse.emf.mapping.domain.MappingDomain
`ENABLE_ALL, ENABLE_EMPTY_INPUTS, ENABLE_EMPTY_OUTPUTS, ENABLE_INCOMPATIBLE_METAOBJECTS, ENABLE_INCOMPATIBLE_TYPE_CLASSIFIERS, ENABLE_MULTIPLE_INPUT_MAPPINGS, ENABLE_MULTIPLE_INPUTS, ENABLE_MULTIPLE_OUTPUT_MAPPINGS, ENABLE_MULTIPLE_OUTPUTS, ENABLE_UNMAPPED_PARENTS`

Constructor Summary
`PluginAdapterFactoryMappingDomain(AdapterFactory mappingDomainAdapterFactory, AdapterFactory topDomainAdapterFactory, AdapterFactory bottomDomainAdapterFactory, CommandStack commandStack, ResourceSet resourceSet, java.lang.String mappingDomainKey)`
`PluginAdapterFactoryMappingDomain(AdapterFactory mappingDomainAdapterFactory, AdapterFactory topDomainAdapterFactory, AdapterFactory bottomDomainAdapterFactory, CommandStack commandStack, java.lang.String mappingDomainKey)`
`PluginAdapterFactoryMappingDomain(AdapterFactory mappingDomainAdapterFactory, AdapterFactory editingDomainAdapterFactory, CommandStack commandStack, ResourceSet resourceSet, java.lang.String mappingDomainKey)`
`PluginAdapterFactoryMappingDomain(AdapterFactory mappingDomainAdapterFactory, AdapterFactory editingDomainAdapterFactory, CommandStack commandStack, java.lang.String mappingDomainKey)`

Method Summary
`protected void` `addTypeMapping(java.lang.String topType, java.lang.String bottomType)`
`protected void` `initializeFromPlugin(java.lang.String mappingDomainKey)`

Methods inherited from class org.eclipse.emf.mapping.domain.AdapterFactoryMappingDomain

`change, convertCase, convertName, convertNameForm, convertSeparator, createAddOverrideCommand, createCommand, createComposedAdapterFactory, createComposedAdapterFactory, createCopyToClipboardOverrideCommand, createCreateCopyOverrideCommand, createDragAndDropOverrideCommand, createInitializeCopyOverrideCommand, createMoveOverrideCommand, createOverrideCommand, createPasteFromClipboardOverrideCommand, createRemoveOverrideCommand, createReplaceOverrideCommand, createSetOverrideCommand, getCorrespondingType, getMappingEnablementFlags, getMappingRoot, getName, getOutputMetaObject, getOutputName, getOutputTypeClassifier, getTypeClassifier, handleCreateCommand, parseInputName, parseName, parseOutputName, setMappingEnablementFlags, setMappingRoot, setName, setTypeClassifier`

Methods inherited from class org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain

`createResource, getAdapterFactory, getChildren, getClipboard, getCommandStack, getEditingDomainFor, getEditingDomainFor, getEditingDomainItemProviderFor, getNewChildDescriptors, getOptimizeCopy, getParent, getResourceSet, getResourceToReadOnlyMap, getRoot, getTreePath, getWrapper, getWrapper, isControllable, isControlled, isReadOnly, isReadOnlyURI, isStale, loadResource, resolve, setAdapterFactory, setClipboard, setOptimizeCopy, setResourceToReadOnlyMap, treeIterator, unwrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.domain.EditingDomain
`createResource, getChildren, getClipboard, getCommandStack, getNewChildDescriptors, getOptimizeCopy, getParent, getResourceSet, getRoot, getTreePath, isControllable, isReadOnly, loadResource, setClipboard, treeIterator`

Field Detail

### MAPPING_EXTENSION_POINT_ID

    public final java.lang.String MAPPING_EXTENSION_POINT_ID

See Also:
  Constant Field Values

Constructor Detail

### PluginAdapterFactoryMappingDomain

    public PluginAdapterFactoryMappingDomain(AdapterFactory mappingDomainAdapterFactory,
                                             AdapterFactory editingDomainAdapterFactory,
                                             CommandStack commandStack,
                                             java.lang.String mappingDomainKey)

### PluginAdapterFactoryMappingDomain

    public PluginAdapterFactoryMappingDomain(AdapterFactory mappingDomainAdapterFactory,
                                             AdapterFactory editingDomainAdapterFactory,
                                             CommandStack commandStack,
                                             ResourceSet resourceSet,
                                             java.lang.String mappingDomainKey)

### PluginAdapterFactoryMappingDomain

    public PluginAdapterFactoryMappingDomain(AdapterFactory mappingDomainAdapterFactory,
                                             AdapterFactory topDomainAdapterFactory,
                                             AdapterFactory bottomDomainAdapterFactory,
                                             CommandStack commandStack,
                                             java.lang.String mappingDomainKey)

### PluginAdapterFactoryMappingDomain

    public PluginAdapterFactoryMappingDomain(AdapterFactory mappingDomainAdapterFactory,
                                             AdapterFactory topDomainAdapterFactory,
                                             AdapterFactory bottomDomainAdapterFactory,
                                             CommandStack commandStack,
                                             ResourceSet resourceSet,
                                             java.lang.String mappingDomainKey)

Method Detail

### initializeFromPlugin

    protected void initializeFromPlugin(java.lang.String mappingDomainKey)

### addTypeMapping

    protected void addTypeMapping(java.lang.String topType,
                                  java.lang.String bottomType)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.